//---------------------------------------------------------------------------

#ifndef httpgetdlgsH
#define httpgetdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "OverbyteIcsHttpProt.hpp"
#include "OverbyteIcsWndControl.hpp"
#include "OverbyteIcsWSocket.hpp"
//---------------------------------------------------------------------------
bool __fastcall GetDefaultsTxtPage(TForm *Owner,  const AnsiString &URL, TStrings *Page);
bool __fastcall GetHTTPPage(TForm *Owner, const AnsiString &URL, TStrings *Page);
bool __fastcall GetHTTPPages(TForm *Owner, TStrings *URLs);

class THttpDefsDlg : public TForm
{
__published:	// IDE-managed Components
	TProgressBar *ProgressBar;
	TButton *CancelBtn;
	TLabel *Label1;
	TBevel *Bevel1;
	TSslHttpCli *HTTP;
	TSslContext *SslContext;
	TTimer *TimeOutTimer;
	TTimer *Timer1;
	TLabel *Label2;
	TLabel *Label3;
	void __fastcall HTTPDocBegin(TObject *Sender);
	void __fastcall HTTPDocData(TObject *Sender, Pointer Buffer, int Len);
	void __fastcall HTTPDocEnd(TObject *Sender);
	void __fastcall HTTPHeaderEnd(TObject *Sender);
	void __fastcall HTTPRequestDone(TObject *Sender, THttpRequest RqType, WORD ErrCode);
	void __fastcall HTTPSocksError(TObject *Sender, int Error, AnsiString Msg);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall TimeOutTimerTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
	TStrings *page;
	TStringList *proxy;
	AnsiString defproxy, errormsg;
	int bytestotal, bytesreceived, status;
	bool canceled, timeout, usesslcert;

	__fastcall THttpDefsDlg(TComponent* Owner);
	__fastcall virtual~THttpDefsDlg();
	void __fastcall Execute(const AnsiString &URL, TStrings *Page);
	void __fastcall SetupProxy();
	void __fastcall GetPage();
	void __fastcall FinishProcess();
};
//---------------------------------------------------------------------------
extern PACKAGE THttpDefsDlg *HttpDefsDlg;
//---------------------------------------------------------------------------
#endif
