//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "selectboxdlgs.h"
#include "utility.h"
#include "global.h"
#include "qsdbs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSelectBoxDlg *SelectBoxDlg;
//---------------------------------------------------------------------------

bool __fastcall SelectDestinationMailbox(TForm *Owner, AnsiString &Boxname)
{
   Boxname = "";
   SelectBoxDlg = new TSelectBoxDlg(Owner);
   SelectBoxDlg->ShowModal();
   bool ok = SelectBoxDlg->ModalResult == mrOk;
   if (ok)
	  Boxname = SelectBoxDlg->MailboxBox->Text;
   delete SelectBoxDlg;
   return ok;
}
//---------------------------------------------------------------------------

__fastcall TSelectBoxDlg::TSelectBoxDlg(TComponent* Owner)
	: TForm(Owner)
{
   DB->LoadMailboxes(MailboxBox->Items);
   MailboxBox->ItemIndex = -1;
   MailboxBox->Text = "";
}
//---------------------------------------------------------------------------

void __fastcall TSelectBoxDlg::MailboxBoxChange(TObject *Sender)
{
   OkBtn->Enabled = MailboxBox->Text != "";
}
//---------------------------------------------------------------------------

void __fastcall TSelectBoxDlg::MailboxBoxSelect(TObject *Sender)
{
   OkBtn->Enabled = MailboxBox->Text != "";
}
//---------------------------------------------------------------------------

void __fastcall TSelectBoxDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult == mrOk && MailboxBox->Text.IsEmpty())
   {
	  MessageBeep(0);
	  CanClose = false;
	  return;
   }
}
//---------------------------------------------------------------------------
