//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "sigverifydlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSigVerifyDlg *SigVerifyDlg;
//---------------------------------------------------------------------------

void __fastcall ShowSignatureFailed(TForm *Owner, TStrings *Sig)
{
   TSigVerifyDlg *sigdlg = new TSigVerifyDlg(Owner);
   if (sig->Count)
   {
	  sig->SigViewer->AddLines(Sig);
	  sig->Label2->Caption = "Nymserver signature FAILED verification!";
   }
   else
	  sig->Label2->Caption = "Message NOT SIGNED by the nymserver!"
   sig->ShowModal();
   delete sigdlg;
}
//---------------------------------------------------------------------------

__fastcall TSigVerifyDlg::TSigVerifyDlg(TComponent* Owner)
	: TForm(Owner)
{
   TIniFile *ini = new TIniFile(AppIni());
   AssignFont(Font, ini->ReadString("settings", "dialogfont", OptsDefDialogFont));
   AssignFont(Sig->Font, ini->ReadString("settings", "editorfont", OptsDefEditorFont));
   delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TSigVerifyDlg::PopupMenu1Popup(TObject *Sender)
{
   Copy1->Enabled = SigViewer->SelLength > 0;
   Selectall1->Enabled = SigViewer->Text.Length() > 0;
}
//---------------------------------------------------------------------------
